Bug 259987 - security/clamav: The assignment of permissions for /var/db/clamav and /var/run/clamav now ignore make.conf entry
Summary: security/clamav: The assignment of permissions for /var/db/clamav and /var/ru...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Yasuhiro Kimura
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-22 18:07 UTC by Oclair
Modified: 2021-12-14 01:24 UTC (History)
4 users (show)

See Also:
yasu: maintainer-feedback+


Attachments
Restore user/group override (477 bytes, patch)
2021-11-29 17:41 UTC, emss
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oclair 2021-11-22 18:07:19 UTC
when building clamav port /etc/make.conf some settings no longer apply

For example the following entries in make.conf are ignored
CLAMAVUSER=vscan
CLAMAVGROUP=vscan

Thus:

perms for /var/db/clamav do not adhere to for example "DatabaseOwner vscan" in  /usr/local/etc/freshclam.conf

perms for /var/run/clamav do not adhere to for example "User vscan" in /usr/local/etc/clamd.conf
Comment 1 emss 2021-11-29 17:41:38 UTC
Created attachment 229799 [details]
Restore user/group override

The attached patch restores the user/group override, variables names change from CLAMAVUSER to _CLAMAVUSER and CLAMAVGROUP to _CLAMAVGROUP in /etc/make.conf
Comment 2 commit-hook freebsd_committer 2021-12-14 01:23:11 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e9d6c3d3d059e4e44b2613f054f288efbf32cc26

commit e9d6c3d3d059e4e44b2613f054f288efbf32cc26
Author:     Oclair <jason@aventia.pw>
AuthorDate: 2021-12-14 01:07:54 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-12-14 01:21:45 +0000

    security/clamav: Make the value of user/group overridable with make.conf

    PR:             259987

 security/clamav/Makefile | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 3 Yasuhiro Kimura freebsd_committer 2021-12-14 01:24:37 UTC
Committed. Thanks!